//==============================================================================
// PROJECT      = Bootloader
// MODULE       = bl78k0_kx2_exceptions.h
// SHORT DESC.  = Exception definitions
// DEVICE       = 78K0/Kx2
// VERSION      = 1.0
// DATE         = 05.12.2006
// LAST CHANGE  =
// =============================================================================
// By:          NEC Electronics (Europe) GmbH
//              Arcadiastrasse 10
//              D-40472 Duesseldorf
// =============================================================================



#ifndef __BL78K0_KX2_EXCEPTIONS_H
#define __BL78K0_KX2_EXCEPTIONS_H

  #define NO_ERROR                  0x00    // anything ok
  #define HEX_FILE_IS_IN_BOOTL_AREA 0x01    // hex file is within the bootloader area
  #define STOP_RX_IFACE_ERROR       0x02    // interface dont stop send
  #define HEX_FILE_ERROR            0x03    // hex file error
  #define FILE_TRANSFER_TIMEOUT     0x04    // timeout during hex file receive
  #define RECEIVE_ERROR             0x05    // error during receive
  #define DATA_BUFFER_WRITE_ERROR   0x06    // data buffer write error
  #define APP_UPDATE_CRC_ERROR      0x07    // crc error on written app.
  #define BOOTL_UPDATE_CRC_ERROR    0x08    // crc error on written bootl.
  #define SWAP_SET_INFO_ERROR       0x09    // error on swap flag set
  #define VERIFY_BYTES_ERROR        0x10    // error on flash verify
  #define FLASH_WRITE_ERROR         0x11    // error on flash write
  #define APP_ERASE_ERROR           0x12    // error on flash erase
  #define FLMD0_CHECK_ERROR         0x13    // error on FLMD0 check
  #define COPY_BCLUSTER_ERROR       0x14    // error on copy bcluster 0 to 1
  #define GET_INFO_ERROR            0x15    // error on get_Info(Self Progr. Lib)
  #define DEF_BLOCK_END_EXCEEDED    0x16    // defined app. end block was exceeded
  #define BOOTL_UPDATE_ADDR_ERROR   0x17    // addr. of new bootloader is addr. > 0x1000
  #define BOOTL_UPDATE_NOT_ALLOWED  0x18    // bootl. update not allowed
  #define HEX_FILE_IS_IN_APP_AREA   0x19    // HEX file is within the app. area

#endif




