;==============================================================================
;  PROJECT      = Bootloader
;  MODULE       = bl78k0_kx2_irq_table.asm
;  SHORT DESC.  = Predefined jumps on virtual interrupt table
;  DEVICE       = 78K0/Kx2
;  VERSION      = 1.0
;  DATE         = 05.12.2006
;  LAST CHANGE  =
;  =============================================================================
;  By:          NEC Electronics (Europe) GmbH
;               Arcadiastrasse 10
;               D-40472 Duesseldorf
;=============================================================================

        COMMON  INTVEC:CODE:ROOT


        DS   2         ; Reset, POC, LVI, WDT vector placeholder
        DC16 0x1013    ; INTCK2_vect, INTNMI_vect     (0x02)
        DC16 0x1016    ; INTLVI_vect,                 (0x04)
        DC16 0x1019    ; INTP0_vect                   (0x06)
        DC16 0x101C    ; INTP1_vect                   (0x08)
        DC16 0x101F    ; INTP2_vect                   (0x0A)
        DC16 0x1022    ; INTP3_vect                   (0x0C)
        DC16 0x1025    ; INTP4_vect                   (0x0E)
        DC16 0x1028    ; INTP5_vect                   (0x10)
        DC16 0x102B    ; INTSRE6_vect                 (0x12)
        DC16 0x102E    ; INTSR6_vect                  (0x14)
        DC16 0x1031    ; INTST6_vect                  (0x16)
        DC16 0x1034    ; INTCSI10_vect, INTST0_vect   (0x18)
        DC16 0x1037    ; INTTMH1_vect                 (0x1A)
        DC16 0x103A    ; INTTMH0_vect                 (0x1C)
        DC16 0x103D    ; INTTM50_vect                 (0x1E)
        DC16 0x1040    ; INTTM000_vect                (0x20)
        DC16 0x1043    ; INTTM010_vect                (0x22)
        DC16 0x1046    ; INTAD_vect                   (0x24)
        DC16 0x1049    ; INTSR0_vect                  (0x26)
        DC16 0x104C    ; INTWTI_vect                  (0x28)
        DC16 0x104F    ; INTTM51_vect                 (0x2A)
        DC16 0x1052    ; INTKR_vect                   (0x2C)
        DC16 0x1055    ; INTWT_vect                   (0x2E)
        DC16 0x1058    ; INTP6_vect                   (0x30)
        DC16 0x105B    ; INTP7_vect                   (0x32)
        DC16 0x105E    ; INTIIC0_vect, INTDMU_vect    (0x34)
        DC16 0x1061    ; INTCSI11_vect                (0x36)
        DC16 0x1064    ; INTTM001_vect                (0x38)
        DC16 0x1067    ; INTTM011_vect                (0x3A)
        DC16 0x106A    ; INTACSI_vect                 (0x3C)
        DC16 0x106D    ; INTBRK_vect                  (0x3E)

        END
