//==============================================================================
// PROJECT      = K_Line - Taste it!-2
// MODULE       = interrupt.c
// SHORT DESC.  = -
// DEVICE       = 78K0/KF2 (uPD78F0547D)
// VERSION      = 1.0
// DATE         = 19.10.2005
// LAST CHANGE  = -
// =============================================================================
// Description:  Interrupt service routines for AD converter demonstration
// =============================================================================
// By:          NEC Electronics (Europe) GmbH
//              Arcadiastrasse 10
//              D-40472 Duesseldorf
// =============================================================================

//-----------------------------------------------------------------------------
// Include files
//-----------------------------------------------------------------------------
#include "defines.h"
#include "lcd.h"

#include <intrinsics.h>

#include "io78f054780.h"

//-----------------------------------------------------------------------------
// Global variables
//-----------------------------------------------------------------------------
extern volatile unsigned char  bTimer1Flag;      // status Flag 16bit Timer one
extern volatile unsigned char  bTimer2Flag;      // status Flag 16bit Timer two
extern volatile unsigned char  bWatchTimer;      // Status Flag Watch Timer
extern volatile unsigned char  bKey3Flag;        // status Flag Key3
extern volatile unsigned char  bKey2Flag;        // status Flag Key2

extern volatile struct {
          unsigned char sec;
          unsigned char min;
          unsigned char hour;
         }clock;
//-----------------------------------------------------------------------------
//  Module: vTimer0
//  Description: This module is the Interrupt service routine of 16bit Timer one
//-----------------------------------------------------------------------------
//#pragma vector = INTTM000_vect
__interrupt void INTTM000_isr(void)
{
      bTimer1Flag = 1;                    // Set status flag Timer one
}

//-----------------------------------------------------------------------------
//  Module: vTimer1
//  Description: This module is the Interrupt service routine of 16bit Timer two
//-----------------------------------------------------------------------------
//#pragma vector = INTTM001_vect
__interrupt void INTTM001_isr(void)
{
    bTimer2Flag = 1 ;                   // Set status flag Timer two
}
//-----------------------------------------------------------------------------
//  Module: Watchtimer
//  Description: This module is the Interrupt service routine of Watchtimer
//-----------------------------------------------------------------------------
//#pragma vector = INTWT_vect
__interrupt void INTWT_isr(void)
{
   bWatchTimer = !bWatchTimer ;            // Set status flag TimerW
   if(bWatchTimer)
   {
     LED=~LED;
     clock.sec++;				
     if(clock.sec>=60)
     {
      clock.sec=0;
      clock.min++;
      if(clock.min>=60)
      {
        clock.min=0;
        clock.hour++;
        if(clock.hour>=24)
        {
          clock.hour=0;
        }
      }
     }
   }
}

//-----------------------------------------------------------------------------
//  Module: vKey3
//  Description: Interrupt service routine of external interrupt P1 (-> button SW3)
//-----------------------------------------------------------------------------
//#pragma vector = INTP1_vect
__interrupt void INTP1_isr(void)
{
    bKey3Flag++ ;                     // Set status flag Key3
}

//-----------------------------------------------------------------------------
//  Module: vKey2
//  Description: Interrupt service routine of external interrupt P0 (-> button SW2)
//-----------------------------------------------------------------------------
//#pragma vector = INTP0_vect
__interrupt void INTP0_isr(void)
{
    bKey2Flag++ ;                     // Set status flag Key2
}

